org.apache.ignite.internal.visor.cache

## Class VisorCacheClearTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<String,IgniteBiTuple<Integer,Integer>>
    - - org.apache.ignite.internal.visor.cache.VisorCacheClearTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<String>,IgniteBiTuple<Integer,Integer>>

    @GridInternal
    public class VisorCacheClearTask
    extends VisorOneNodeTask<String,IgniteBiTuple<Integer,Integer>>

Task that clears specified caches on specified node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheClearTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheClearTask.VisorCacheClearJob` `job(String arg)`

### Methods inherited from class org.apache.ignite.internal.visor.VisorOneNodeTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheClearTask

    public VisorCacheClearTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheClearTask.VisorCacheClearJob job(String arg)

Specified by:
  `job` in class `VisorMultiNodeTask<String,IgniteBiTuple<Integer,Integer>,IgniteBiTuple<Integer,Integer>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016